﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGridGroupHeaderPassData : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridGroupHeaderItem)
        {
            GridGroupHeaderItem headerItem = e.Item as GridGroupHeaderItem;
            string name = (headerItem.DataItem as DataRowView)["ShipName"].ToString();
            string freightSum = (headerItem.DataItem as DataRowView)["FreightSum"].ToString();

            headerItem.DataCell.Attributes.Add("onclick", string.Format("cellClicked(\"{0}\",\"{1}\");", name, freightSum));
        }
    }
}